FROM python:3.11-slim

WORKDIR /app

RUN pip install --no-cache-dir \
    fastapi \
    uvicorn \
    pyyaml     PyJWT>=2.8.0

COPY main.py .
COPY service_auth.py .

EXPOSE 9200

CMD ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "9200"]
